Subject: Re: bug#76587: 31.0.50; [FR] project.el should have a way to exclude certain projects from being saved

From: Juri Linkov <[email-masked]>
Date: Mon, 03 Mar 2025 19:30:18 +0200

>> And when the project value is available, the call to be made to
>> project-remember-project instead - this one could do the filtering as
>> well. So no need to add new arg to project--remember-dir.
>
> OK, sounds good to me.  WDYT about the patch below?  It doesn't exclude
> projects at the time of saving, but whenever project-remember-project is
> called.

Thanks, I confirm this works nicely with:

(add-to-list 'project-list-exclude (lambda (pr) (eq (car pr) 'transient)))